//
//  DetailViewController.h
//  Dailymotion Demo
//
//  Created by Olivier Poitrey on 27/09/11.
//  Copyright 2011 Dailymotion. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "DailymotionPlayerViewController.h"

@interface DetailViewController : UIViewController <UIPopoverControllerDelegate, UISplitViewControllerDelegate, DailymotionPlayerDelegate>

@property (nonatomic, retain) IBOutlet UIToolbar *toolbar;
@property (nonatomic, retain) id detailItem;
@property (nonatomic, retain) IBOutlet UIView *videoView;
@property (nonatomic, retain) IBOutlet UITextView *console;
@property (nonatomic, retain) IBOutlet UISlider *volume;
@property (nonatomic, retain) IBOutlet UITextField *currentTime;
@property (nonatomic, retain) IBOutlet UITextField *duration;

- (IBAction)togglePlay:(id)sender;
- (IBAction)play:(id)sender;
- (IBAction)pause:(id)sender;
- (IBAction)fullscreen:(id)sender;
- (IBAction)toggleMute:(id)sender;
- (IBAction)mute:(id)sender;
- (IBAction)unmute:(id)sender;
- (IBAction)volume:(id)sender;

@end
